# -*- encoding: utf-8 -*-
# stub: awesome_print 1.6.1 ruby lib

Gem::Specification.new do |s|
  s.name = "awesome_print"
  s.version = "1.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Michael Dvorkin"]
  s.date = "2014-12-31"
  s.description = "Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins"
  s.email = "mike@dvorkin.net"
  s.files = [".gitignore", "Appraisals", "CHANGELOG", "CONTRIBUTING.md", "Gemfile", "Gemfile.lock", "LICENSE", "README.md", "Rakefile", "lib/ap.rb", "lib/awesome_print.rb", "lib/awesome_print/core_ext/array.rb", "lib/awesome_print/core_ext/class.rb", "lib/awesome_print/core_ext/kernel.rb", "lib/awesome_print/core_ext/logger.rb", "lib/awesome_print/core_ext/method.rb", "lib/awesome_print/core_ext/object.rb", "lib/awesome_print/core_ext/string.rb", "lib/awesome_print/ext/action_view.rb", "lib/awesome_print/ext/active_record.rb", "lib/awesome_print/ext/active_support.rb", "lib/awesome_print/ext/mongo_mapper.rb", "lib/awesome_print/ext/mongoid.rb", "lib/awesome_print/ext/no_brainer.rb", "lib/awesome_print/ext/nokogiri.rb", "lib/awesome_print/ext/ostruct.rb", "lib/awesome_print/ext/ripple.rb", "lib/awesome_print/ext/sequel.rb", "lib/awesome_print/formatter.rb", "lib/awesome_print/inspector.rb", "lib/awesome_print/version.rb", "spec/active_record_helper.rb", "spec/colors_spec.rb", "spec/formats_spec.rb", "spec/methods_spec.rb", "spec/misc_spec.rb", "spec/objects_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "http://github.com/michaeldv/awesome_print"
  s.licenses = ["MIT"]
  s.rubyforge_project = "awesome_print"
  s.rubygems_version = "2.2.2"
  s.summary = "Pretty print Ruby objects with proper indentation and colors"
  s.test_files = ["spec/active_record_helper.rb", "spec/colors_spec.rb", "spec/formats_spec.rb", "spec/methods_spec.rb", "spec/misc_spec.rb", "spec/objects_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rspec>, [">= 3.0.0"])
      s.add_development_dependency(%q<appraisal>, [">= 0"])
      s.add_development_dependency(%q<fakefs>, [">= 0.2.1"])
      s.add_development_dependency(%q<sqlite3>, [">= 0"])
      s.add_development_dependency(%q<nokogiri>, [">= 1.6.5"])
    else
      s.add_dependency(%q<rspec>, [">= 3.0.0"])
      s.add_dependency(%q<appraisal>, [">= 0"])
      s.add_dependency(%q<fakefs>, [">= 0.2.1"])
      s.add_dependency(%q<sqlite3>, [">= 0"])
      s.add_dependency(%q<nokogiri>, [">= 1.6.5"])
    end
  else
    s.add_dependency(%q<rspec>, [">= 3.0.0"])
    s.add_dependency(%q<appraisal>, [">= 0"])
    s.add_dependency(%q<fakefs>, [">= 0.2.1"])
    s.add_dependency(%q<sqlite3>, [">= 0"])
    s.add_dependency(%q<nokogiri>, [">= 1.6.5"])
  end
end
